CS::Animation::iSkeletonLookAtNode Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
CS::Animation::iSkeletonLookAtNode Struct Reference

An animation node that controls a bone of an animesh in order to make it look at a target. More...

`#include <imesh/animnode/lookat.h>`

Inheritance diagram for CS::Animation::iSkeletonLookAtNode:

List of all members.

## Public Member Functions
virtual void | AddListener (iSkeletonLookAtListener *listener)=0
| Add a listener to be notified when the target has been reached or lost.
virtual bool | HasTarget ()=0
| Return whether or not there is currently a target defined.
virtual void | RemoveListener (iSkeletonLookAtListener *listener)=0
| Remove the specified listener.
virtual void | RemoveTarget ()=0
| Remove the current target, ie the animation node will stop acting once the bone has reached the position given by the child node.
virtual void | SetTarget (csVector3 target)=0
| Set the target to look at as a fixed position (in world coordinates).
virtual void | SetTarget (iMovable *target, const csVector3 &offset)=0
| Set the target to look at as a iMovable.
virtual void | SetTarget (iCamera *target, const csVector3 &offset)=0
| Set the target to look at as a iCamera.

## Detailed Description

An animation node that controls a bone of an animesh in order to make it look at a target.

Definition at line 146 of file lookat.h.

## Member Function Documentation

virtual void CS::Animation::iSkeletonLookAtNode::AddListener | ( | iSkeletonLookAtListener * | listener | ) | `[pure virtual]`

Add a listener to be notified when the target has been reached or lost.

virtual bool CS::Animation::iSkeletonLookAtNode::HasTarget | ( |  | ) | `[pure virtual]`

Return whether or not there is currently a target defined.

virtual void CS::Animation::iSkeletonLookAtNode::RemoveListener | ( | iSkeletonLookAtListener * | listener | ) | `[pure virtual]`

Remove the specified listener.

virtual void CS::Animation::iSkeletonLookAtNode::RemoveTarget | ( |  | ) | `[pure virtual]`

Remove the current target, ie the animation node will stop acting once the bone has reached the position given by the child node.

The listeners will be called with the 'target lost' event iff a target was specified and was reached.

virtual void CS::Animation::iSkeletonLookAtNode::SetTarget | ( | csVector3 | target | ) | `[pure virtual]`

Set the target to look at as a fixed position (in world coordinates).

Don't be afraid to update often this position if you want it moving. Listeners will be called with the 'target lost' event if a target was specified and was reached.

virtual void CS::Animation::iSkeletonLookAtNode::SetTarget | ( | iMovable * | target,
|  | const csVector3 & | offset
| ) |  | `[pure virtual]`

Set the target to look at as a iMovable.

Listeners will be called with the 'target lost' event if a target was specified and was reached.

Parameters:

  target | The iMovable target.
  offset | An offset on the target (in iMovable coordinates).

virtual void CS::Animation::iSkeletonLookAtNode::SetTarget | ( | iCamera * | target,
|  | const csVector3 & | offset
| ) |  | `[pure virtual]`

Set the target to look at as a iCamera.

Listeners will be called with the 'target lost' event if a target was specified and was reached.

Parameters:

  target | The iCamera target.
  offset | An offset on the target (in iCamera coordinates).

The documentation for this struct was generated from the following file:

- imesh/animnode/lookat.h